 /*
 * file      : build.h
 * project   : BaseBuild
 * with      : Gtk-2
 *
 * copyright : (C) 2010 by Claude Bulin
 *
 * BaseBuild - Creation d'une base de programmation en langage C de type GNU avec les autotools
 * GNU General Public License
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * OLD ADRESS:
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * NEW ADRESS:
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * 
 */


#ifndef __build_h__
#define __build_h__ 1

typedef struct {
	
	gchar	*PathName;				// Chemin complet
	gchar	*Name;					// Nom du dossier source
	gchar	*Exec;					// Nom de l'executable dans le dossier source
	GString	*GstrSrcMakefileAm;			// Buffer pour src/Makefile.am
	
} VAR_BUILD_SRC;

typedef struct {
	
	gchar		*PathProject;			// Path du projet
	gchar		*NameProject;			// Nom du projet
	gchar		*VersionProject;		// Version du projet
	gchar		*NewPathName;			// Path + Nom + Version du projet
	
	GList		*ListPathSrc;			// GLIST pour VAR_BUILD_SRC
	gchar		*PathNameLib;			// Path dossier Lib
	gchar		*NameLib;			// Nom dossier Lib
	gchar		*PathNameMan;			// Path dossier Man
	gchar		*PathNamePo;			// Path dossier Po
	gchar		*PathNamePixmaps;		// Path dossier Pixmaps
	gchar		*PathNameMenu;			// Path dossier Menu
	gchar		*PathNameMime;			// Path dossier Mime
	gchar		*PathNameGlade;			// Path dossier Glade
	
	GString		*GstrMakefileAm;		// Buffer pour Makefile.am
	GString		*GstrConfigureIn;		// Buffer pour configure.in
	GString		*GstrManMakefileAm;		// Buffer pour man/Makefile.am
	GString		*GstrLibMakefileAm;		// Buffer pour lib/Makefile.am
	GString		*GstrPixmapsMakefileAm;		// Buffer pour pixmaps/Makefile.am
	GString		*GstrMenuMakefileAm;		// Buffer pour menu/Makefile.am
	GString		*GstrMimeMakefileAm;		// Buffer pour mime/Makefile.am
	GString		*GstrGladeMakefileAm;		// Buffer pour glade/Makefile.am
	
	gboolean	Bool_lib_gtk;			// checkbutton_lib_gtk		-> glade/       +  gtk+-2.0  +  glib-2.0
	gboolean	Bool_lib_gthread;		// checkbutton_lib_gthread	-> gthread-2.0  +  pthread
	gboolean	Bool_dossier_po;		// checkbutton_dossier_po
	gboolean	Bool_dossier_manpage;		// checkbutton_dossier_manpage
	gboolean	Bool_dossier_lib_statique;	// checkbutton_dossier_lib_statique
	gboolean	Bool_dossier_pixmaps;		// checkbutton_dossier_pixmaps
	gboolean	Bool_dossier_menu;		// checkbutton_dossier_menu
	gboolean	Bool_dossier_mime;		// checkbutton_dossier_mime
	gboolean	Bool_dossier_glade;		// = Bool_lib_gtk
	
	gboolean	Bool_import_glade_file;		// checkbutton_lib_gtk = TRUE && checkbutton_choice_glade_file = TRUE
	gboolean	Bool_import_glade_translate;	// = Bool_import_glade_file && translate = TRUE
	
	guint		handler_timeout;		// Numerate timeout
	gboolean	bool_end_thread;		// IF End of thread OR NOT
	
} VAR_BUILD;

//
// BUILD.C
//

void	build_clicked (void);
void	build_files (void);
void	build_remove (void);
void	build_view_struct (void);
gchar	*build_get_name_project (void);

//
// BUILD_BUF.C
//

void	BuildBuf_create_makefile_am (void);
void	BuildBuf_create_configure_in (void);
void	BuildBuf_create_src_all_makefile_am (void);
void	BuildBuf_create_man_makefile_am (void);
void	BuildBuf_create_lib_makefile_am (void);
void	BuildBuf_create_pixmaps_makefile_am (void);
void	BuildBuf_create_menu_makefile_am (void);
void	BuildBuf_create_mime_makefile_am (void);
void	BuildBuf_create_glade_makefile_am (void);

#endif

